LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XFixedText Interface Referencepublished

gives access to the text and formatting of a fixed text field. More...

`import"XFixedText.idl";`

Inheritance diagram for XFixedText:

## Public Member Functions
void | setText ([in] string Text)
| sets the text of the control. More...
string | getText ()
| returns the text of the control. More...
void | setAlignment ([in] short nAlign)
| sets the alignment of the text in the control. More...
short | getAlignment ()
| returns the alignment of the text in the control. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the text and formatting of a fixed text field.

## Member Function Documentation

short getAlignment | ( |  | ) |

returns the alignment of the text in the control.

string getText | ( |  | ) |

returns the text of the control.

void setAlignment | ( | [in] short | nAlign | ) |

sets the alignment of the text in the control.

    0: left
    1: center
    2: right

void setText | ( | [in] string | Text | ) |

sets the text of the control.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFixedText.idl